Name:           ncview
Version:        2.1.11
Release:        %mkrel 1
Summary:        Graphic for netCDF data file
License:        GPLv3
Group:          Sciences/Other
URL:            https://cirrus.ucsd.edu/ncview/
Source0:        https://cirrus.ucsd.edu/~pierce/ncview/ncview-%{version}.tar.gz
Patch0:         %{name}-2.1.2-fix-ldflag-linking.patch
# From debian
Patch1:         incompatible-pointer-types.patch
Patch2:         format-overflow.patch
Patch3:         makefile.patch

BuildRequires:  pkgconfig(netcdf)
BuildRequires:  libnetpbm-devel
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xaw7)
BuildRequires:  pkgconfig(xt)
BuildRequires:  udunits2-devel
BuildRequires:  pkgconfig(expat)
BuildRequires:  pkgconfig(libpng)

%description
Ncview is a visual browser for netCDF format files.  Typically you
would use ncview to get a quick and easy, push-button look at your
netCDF files.  You can view simple movies of the data, view along
various dimensions, take a look at the actual data values, change
color maps, invert the data, etc.


%prep
%autosetup -p1

%build
autoreconf -fi -Im4macros
%configure \
    --with-udunits2_incdir=%{_includedir}/udunits2

%make_build

%install
%make_install

mkdir -p %{buildroot}%{_mandir}/man1/
install -m 0644 data/ncview.1 %{buildroot}%{_mandir}/man1/

mkdir -p %{buildroot}%{_datadir}/%{name}/
install -m 0644 *.ncmap %{buildroot}%{_datadir}/%{name}/

mkdir -p %{buildroot}%{_sysconfdir}/X11/app-defaults
install -m 0644 Ncview-appdefaults %{buildroot}%{_sysconfdir}/X11/app-defaults/Ncview

%files
%doc README ChangeLog AUTHORS RELEASE_NOTES README.*
%license COPYING
%config(noreplace) %{_sysconfdir}/X11/app-defaults/Ncview
%{_bindir}/*
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1.*


%changelog
* Fri Nov 29 2024 daviddavid <daviddavid> 2.1.11-1.mga10
+ Revision: 2120004
- new version: 2.1.11

* Fri Nov 29 2024 daviddavid <daviddavid> 2.1.10-1.mga10
+ Revision: 2119882
- new version: 2.1.10

* Sat Apr 02 2022 umeabot <umeabot> 2.1.8-10.mga9
+ Revision: 1840505
- Mageia 9 Mass Rebuild

* Sun Dec 12 2021 wally <wally> 2.1.8-9.mga9
+ Revision: 1761552
- rebuild for netcdf 4.8.1

* Mon Oct 26 2020 akien <akien> 2.1.8-8.mga8
+ Revision: 1639601
- Rebuild against libnetcdf18

* Thu Oct 01 2020 pterjan <pterjan> 2.1.8-7.mga8
+ Revision: 1631504
- Rebuild for new netcdf on arm

* Wed Mar 25 2020 eatdirt <eatdirt> 2.1.8-6.mga8
+ Revision: 1560426
+ rebuild (emptylog)

* Wed Mar 25 2020 eatdirt <eatdirt> 2.1.8-5.mga8
+ Revision: 1560382
- Rebuild for new netcdf

* Thu Feb 13 2020 umeabot <umeabot> 2.1.8-4.mga8
+ Revision: 1515333
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.1.8-3.mga7
+ Revision: 1299687
- Mageia 7 Mass Rebuild

* Tue Aug 14 2018 eatdirt <eatdirt> 2.1.8-2.mga7
+ Revision: 1251506
- Rebuild for new libnetcdf

* Sat Jul 22 2017 daviddavid <daviddavid> 2.1.8-1.mga7
+ Revision: 1127805
- new version: 2.1.8

* Sat Feb 04 2017 daviddavid <daviddavid> 2.1.7-1.mga6
+ Revision: 1084820
- new version: 2.1.7
- package the manpage and some other files
- remove useless desktop file

* Sat Feb 06 2016 umeabot <umeabot> 2.1.2-5.mga6
+ Revision: 941235
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.1.2-4.mga5
+ Revision: 748175
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.2-3.mga5
+ Revision: 682818
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.1.2-2.mga4
+ Revision: 528611
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 fwang <fwang> 2.1.2-1.mga4
+ Revision: 446789
- new version 2.1.2

* Mon Jun 03 2013 fwang <fwang> 2.1.1-3.mga4
+ Revision: 436024
- rebuild for new libpng
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 22 2012 kamil <kamil> 2.1.1-1.mga2
+ Revision: 199345
- new version 2.1.1
- rename patch to fix-ldflag-linking.patch
- update %%doc-file-list

* Sat Jan 21 2012 kamil <kamil> 2.1-3.mga2
+ Revision: 199337
- fix build
- rebuild against new udunits2-2.1.24
- clean .spec

* Mon Sep 19 2011 fwang <fwang> 2.1-2.mga2
+ Revision: 145353
- fix category
- rebuild for new libpng
- br png
- new version 2.1

* Thu Feb 24 2011 grenoya <grenoya> 2.0-0.beta4.1.mga1
+ Revision: 58993
- clean old Mdv syntax
- imported package ncview


* Sat Feb 05 2011 Funda Wang <fwang@mandriva.org> 2.0-0.beta4.1mdv2011.0
+ Revision: 636339
- 2.0 beta4

* Sat Feb 05 2011 Funda Wang <fwang@mandriva.org> 1.93g-4
+ Revision: 636331
- correctly detect libname
- tighten BR

* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 1.93g-3mdv2011.0
+ Revision: 613004
- the mass rebuild of 2010.1 packages

* Mon Jan 18 2010 Emmanuel Andry <eandry@mandriva.org> 1.93g-2mdv2010.1
+ Revision: 493338
- diff p0 to fix linking issue with hdf5
- use configure2_5x
- fix netpbm headers detection at compile time
- fix netcdf include path

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Wed Mar 11 2009 Emmanuel Andry <eandry@mandriva.org> 1.93g-1mdv2009.1
+ Revision: 353802
- New version 1.93g
- drop patch 0
- add menu item

* Tue Jul 29 2008 Thierry Vignaud <tv@mandriva.org> 1.93c-3mdv2009.0
+ Revision: 253657
- rebuild

* Tue Feb 19 2008 Olivier Thauvin <nanardon@mandriva.org> 1.93c-1mdv2008.1
+ Revision: 172609
- 1.93c

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Aug 09 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/09/06 20:54:47 (55139)
- 1.93b

* Wed Aug 09 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/09/06 20:15:11 (55121)
Import ncview

* Fri Sep 30 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.92e-2mdk
- Add X11-devel as BuildRequires for X11/Core.h

* Thu Sep 29 2005 Olivier Thauvin <nanardon@mandriva.org> 1.92e-1mdk
- From Philippe Weill <Philippe.Weill@aero.jussieu.fr>
    - Initial SPEC

